Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 149174 - [65cat] AssertionError: Start offset must be before the end offset. startOffset = 542, endOffset = -1
[65cat] AssertionError: Start offset must be before the end offset. startOffs...
Status: RESOLVED FIXED
Product: web
Classification: Unclassified
Component: HTML Editor
6.x
All Windows XP
: P2 (vote)
: 6.x
Assigned To: Marek Fukala
Jindrich Sedek
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-05 13:22 UTC by goeh
Modified: 2009-06-30 15:58 UTC (History)
10 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Patch for HTMLBracesMatching (1.53 KB, text/plain)
2008-10-06 15:12 UTC, Vitezslav Stejskal
Details
stacktrace (1.15 KB, text/plain)
2008-10-09 18:13 UTC, sunbiz
Details
stacktrace (1.16 KB, text/plain)
2008-10-13 15:19 UTC, adam_myatt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description goeh 2008-10-05 13:22:20 UTC
Build: NetBeans IDE Dev (Build 20081001024247)
VM: Java HotSpot(TM) Client VM, 10.0-b23, Java(TM) SE Runtime Environment, 1.6.0_07-b06
OS: Windows XP, 5.1, x86
User comments: Deleting characters in a .GSP (Groovy Server Page)
Replaced </g:link> with </a>
STACKTRACE: (first 10 lines)
java.lang.AssertionError: Start offset must be before the end offset. startOffset = 542, endOffset = -1
        at org.netbeans.spi.editor.highlighting.support.OffsetsBag.addHighlightImpl(OffsetsBag.java:491)
        at org.netbeans.spi.editor.highlighting.support.OffsetsBag.addHighlight(OffsetsBag.java:161)
        at org.netbeans.modules.editor.bracesmatching.MasterMatcher.placeHighlights(MasterMatcher.java:289)
        at org.netbeans.modules.editor.bracesmatching.MasterMatcher.highlightAreas(MasterMatcher.java:269)
        at org.netbeans.modules.editor.bracesmatching.MasterMatcher.access$400(MasterMatcher.java:63)
        at org.netbeans.modules.editor.bracesmatching.MasterMatcher$Result$1.run(MasterMatcher.java:583)
        at org.netbeans.editor.BaseDocument.render(BaseDocument.java:1362)
        at org.netbeans.modules.editor.bracesmatching.MasterMatcher$Result._run(MasterMatcher.java:579)
        at org.netbeans.modules.editor.bracesmatching.MasterMatcher$Result.run(MasterMatcher.java:487)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:572)
Comment 1 Vitezslav Stejskal 2008-10-06 15:11:18 UTC
In HTMLBracesMatching.java, attaching patch...
Comment 2 Vitezslav Stejskal 2008-10-06 15:12:03 UTC
Created attachment 71210 [details]
Patch for HTMLBracesMatching
Comment 3 Vitezslav Stejskal 2008-10-06 15:13:13 UTC
I also improved logging in MasterMatcher. Local changeset: e26e18b7099e
Comment 4 Marek Fukala 2008-10-06 15:49:18 UTC
vito, thanks for the patch, it looks great! :-)
Comment 5 Quality Engineering 2008-10-08 06:04:40 UTC
Integrated into 'main-golden', will be available in build *200810080201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e26e18b7099e
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #149174 - better logging to diagnose the problem
Comment 6 sunbiz 2008-10-09 18:13:12 UTC
Build: NetBeans IDE Dev (Build 200810011401)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-rc2-b32
OS: Windows Vista, 6.0, x86

User Comments: 
Steps to reproduce:
1.) Create Web Application project
2.) in the index.jsp that opens, beside the <head>, type<>
3.) then type the slash key in between. 
i.e it becomes </> and the exception is thrown

Stacktrace: 
java.lang.AssertionError: Start offset must be before the end offset. startOffset = 280, endOffset = -1
        at org.netbeans.spi.editor.highlighting.support.OffsetsBag.addHighlightImpl(OffsetsBag.java:491)
        at org.netbeans.spi.editor.highlighting.support.OffsetsBag.addHighlight(OffsetsBag.java:161)
        at org.netbeans.modules.editor.bracesmatching.MasterMatcher.placeHighlights(MasterMatcher.java:289)
        at org.netbeans.modules.editor.bracesmatching.MasterMatcher.highlightAreas(MasterMatcher.java:269)
        at org.netbeans.modules.editor.bracesmatching.MasterMatcher.access$400(MasterMatcher.java:63)
        at org.netbeans.modules.editor.bracesmatching.MasterMatcher$Result$1.run(MasterMatcher.java:583)
Comment 7 sunbiz 2008-10-09 18:13:23 UTC
Created attachment 71488 [details]
stacktrace
Comment 8 adam_myatt 2008-10-13 15:19:38 UTC
Build: NetBeans IDE Dev (Build 200810031942)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_05-b13
OS: Windows XP, 5.1, x86

User Comments: 
working on JSP file in editor changing uppercase <TD> tags to lowercase <td>

Stacktrace: 
java.lang.AssertionError: Start offset must be before the end offset. startOffset = 15210, endOffset = -1
        at org.netbeans.spi.editor.highlighting.support.OffsetsBag.addHighlightImpl(OffsetsBag.java:491)
        at org.netbeans.spi.editor.highlighting.support.OffsetsBag.addHighlight(OffsetsBag.java:161)
        at org.netbeans.modules.editor.bracesmatching.MasterMatcher.placeHighlights(MasterMatcher.java:289)
        at org.netbeans.modules.editor.bracesmatching.MasterMatcher.highlightAreas(MasterMatcher.java:269)
        at org.netbeans.modules.editor.bracesmatching.MasterMatcher.access$400(MasterMatcher.java:63)
        at org.netbeans.modules.editor.bracesmatching.MasterMatcher$Result$1.run(MasterMatcher.java:583)
Comment 9 adam_myatt 2008-10-13 15:19:53 UTC
Created attachment 71672 [details]
stacktrace
Comment 10 Marian Mirilovic 2008-10-29 09:44:56 UTC
future ? ... this issue has 31 duplicates so far ... the last one reported against build 082810
Comment 11 Marek Fukala 2008-11-18 08:48:32 UTC
fixed

changeset:   107829:170397e05f4a
tag:         tip
user:        Marek Fukala <mfukala@netbeans.org>
date:        Tue Nov 18 09:46:34 2008 +0100
summary:     #121713 - [65cat] AssertionError: Start offset must be before the end offset. startOffset = 542, endOffset = -1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo